import com.haxepunk.Engine;
import com.haxepunk.HXP;
import worlds.Intro;
import worlds.Play;

class Main extends Engine
{

	public static inline var myWidth: Int = 400;
	public static inline var myHeight: Int = 380;
	public static inline var myFrameRate: Int = 30;
	public static inline var myBgColor: Int = 0x004040;
	public static inline var myName: String = "LD29 - Graveyard Keeper";

	public function new()
	{
		super(myWidth, myHeight, myFrameRate, false);
	}

	override public function init()
	{
#if debug
	#if flash
		if (flash.system.Capabilities.isDebugger)
	#end
		{
//			HXP.console.enable();
//			HXP.console.debug = true;
//			HXP.console.visible = true;
		}
#end
		    HXP.screen.color = myBgColor;
        HXP.world = new Intro();
	}

	public static function main()
	{
		new Main();
	}

}